# VideoPlayer Class Reference

### [com.trolltech.qt.phonon package]

Inherits QWidget.

### Constructor

- void VideoPlayer(Category category, QWidget parent)
- void VideoPlayer(QWidget parent)

### Constructor Properties

- prototype: The VideoPlayer prototype object

### Prototype Object Properties

The VideoPlayer prototype object inherits properties from the QWidget prototype object and also has the following properties.

- AudioOutput audioOutput()
- qint64 currentTime()
- bool isPaused()
- bool isPlaying()
- MediaObject mediaObject()
- qint64 totalTime()
- VideoWidget videoWidget()
- float volume()

### Instance Properties

VideoPlayer objects have no special properties beyond those inherited from the VideoPlayer prototype object.